MembershipBookkeeping::IncomingRTPPktLink(3)

NAME
MembershipBookkeeping::IncomingRTPPktLink -

Incoming RTP data packets control structure within the incoming packet queue class.

SYNOPSIS

#include <iqueue.h>

  Public Member Functions
IncomingRTPPktLink (IncomingRTPPkt *pkt, SyncSourceLink *sLink, struct timeval &recv_ts, uint32 shifted_ts, IncomingRTPPktLink *sp, IncomingRTPPktLink *sn, IncomingRTPPktLink *p, IncomingRTPPktLink *n)
~IncomingRTPPktLink ()
SyncSourceLink * getSourceLink () const
void setSourceLink (SyncSourceLink *src)
IncomingRTPPktLink * getNext () const
void setNext (IncomingRTPPktLink *nl)
IncomingRTPPktLink * getPrev () const
void setPrev (IncomingRTPPktLink *pl)
IncomingRTPPktLink * getSrcNext () const
void setSrcNext (IncomingRTPPktLink *sn)
IncomingRTPPktLink * getSrcPrev () const
void setSrcPrev (IncomingRTPPktLink *sp)
IncomingRTPPkt * getPacket () const
void setPacket (IncomingRTPPkt *pkt)
void setRecvTime (const timeval &t)
Set the time this packet was received at.
timeval getRecvTime () const
Get the time this packet was received at.
uint32 getTimestamp () const
Get timestamp of this packet.
void setTimestamp (uint32 ts)

  Public Attributes
IncomingRTPPkt * packet
SyncSourceLink * sourceLink
IncomingRTPPktLink * prev
IncomingRTPPktLink * next
IncomingRTPPktLink * srcPrev
IncomingRTPPktLink * srcNext
struct timeval receptionTime
uint32 shiftedTimestamp

Detailed Description

Incoming RTP data packets control structure within the incoming packet queue class.

Constructor & Destructor Documentation

  MembershipBookkeeping::IncomingRTPPktLink::IncomingRTPPktLink (IncomingRTPPkt * pkt, SyncSourceLink * sLink, struct timeval & recv_ts, uint32 shifted_ts, IncomingRTPPktLink * sp, IncomingRTPPktLink * sn, IncomingRTPPktLink * p, IncomingRTPPktLink * n) [inline]

  MembershipBookkeeping::IncomingRTPPktLink::~IncomingRTPPktLink () [inline]

Member Function Documentation

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::getNext () const [inline]

  IncomingRTPPkt* MembershipBookkeeping::IncomingRTPPktLink::getPacket () const [inline]

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::getPrev () const [inline]

  timeval MembershipBookkeeping::IncomingRTPPktLink::getRecvTime () const [inline]

Get the time this packet was received at.

  SyncSourceLink* MembershipBookkeeping::IncomingRTPPktLink::getSourceLink () const [inline]

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::getSrcNext () const [inline]

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::getSrcPrev () const [inline]

  uint32 MembershipBookkeeping::IncomingRTPPktLink::getTimestamp () const [inline]

Get timestamp of this packet. The timestamp of incoming packets is filtered so that the timestamp this method provides for the first packet received from every source starts from 0.

Returns:
    32 bit timestamp starting from 0 for each source.

  void MembershipBookkeeping::IncomingRTPPktLink::setNext (IncomingRTPPktLink * nl) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setPacket (IncomingRTPPkt * pkt) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setPrev (IncomingRTPPktLink * pl) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setRecvTime (const timeval & t) [inline]

Set the time this packet was received at. Parameters:
    t time of reception.

Note:
    this has almost nothing to do with the 32-bit timestamp contained in the packet header.

  void MembershipBookkeeping::IncomingRTPPktLink::setSourceLink (SyncSourceLink * src) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setSrcNext (IncomingRTPPktLink * sn) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setSrcPrev (IncomingRTPPktLink * sp) [inline]

  void MembershipBookkeeping::IncomingRTPPktLink::setTimestamp (uint32 ts) [inline]

Member Data Documentation

  IncomingRTPPktLink * MembershipBookkeeping::IncomingRTPPktLink::next

  IncomingRTPPkt* MembershipBookkeeping::IncomingRTPPktLink::packet

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::prev

  struct timeval MembershipBookkeeping::IncomingRTPPktLink::receptionTime

  uint32 MembershipBookkeeping::IncomingRTPPktLink::shiftedTimestamp

  SyncSourceLink* MembershipBookkeeping::IncomingRTPPktLink::sourceLink

  IncomingRTPPktLink * MembershipBookkeeping::IncomingRTPPktLink::srcNext

  IncomingRTPPktLink* MembershipBookkeeping::IncomingRTPPktLink::srcPrev

Author

Generated automatically by Doxygen for ccRTP from the source code.